<?php
/************************************************************/
/* Theme Name: xthemes (v1.0)                               */
/* Copyright (c) 2002 xoops (http://www.xoops.org)          */
/* Created by Xend  (Http://www.xoops.no)                   */
/************************************************************/


$xoopsTheme['thename'] = "xthemes";

function OpenTable($width="100%") {
  echo "<table width='".$width."'border='0' cellspacing='1' cellpadding='0' bgcolor='#FFFFFF'><tr><td valign='top'>\n";
  echo "<table width='100%' border='0' cellspacing='1' cellpadding='8'><tr><td valign='top' bgcolor='#FFFFFF'>\n";
}

function CloseTable() {
  echo "</td></tr></table></td></tr></table>\n";
}
function themeheader($show_rblock){
global $xoopsConfig,$xoopsTheme;
echo"<LINK href='".XOOPS_URL."/favicon.ico' rel='SHORTCUT ICON'>";
echo "</head>\n";
echo "<body text='#000000' topmargin='0' leftmargin='0' rightmargin='0' marginheight='0' marginwidth='0' bgcolor='#0c4444'>\n";
//OpenWaitBox();
echo "<table border='0' cellpadding='0' cellspacing='0' width='100%'>\n";
echo "<tr>\n";
echo "<td bgcolor='#0c4444'>\n";
echo "<table border='0' cellpadding='0' cellspacing='0' width='100%'>\n";
echo "<tr height='100'>\n";
echo "<td width='30' height='100' bgcolor='#0c4444'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='30' height='100' border='0' /></td>\n";
echo "<td width='241' height='100' bgcolor='#ffdfae'><a href='".$xoopsConfig['xoops_url']."/'><img name='logo' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/logo.gif' width='241' height='100' border='0' alt='".sprintf(_TH_WELCOMETO,$xoopsConfig['sitename'])."' /></a></td>\n";
echo "<td height='100' bgcolor='#ffdfae' background='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/xthemes_r1_c8.gif' align='right' valign='top' width='100%'>\n";

if ($xoopsConfig['banners']) {
echo "<table border='0' cellpadding='0' cellspacing='0'>\n";
echo "<tr>\n";
echo "<td>\n";
echo "<table border='0' cellpadding='0' cellspacing='0' width='100%'>\n";
echo "<tr height='28'>\n";
echo "<td width='12' height='28' background='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/banner_r3_c1.gif' valign='top'><img name='banner_r1_c1' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/banner_r1_c1.gif' width='12' height='28' border='0' /></td>\n";
echo "<td rowspan='2' bgcolor='#ff9900' align='center' valign='middle'>\n";
showbanner();
echo "</td>\n";
echo "<td width='12' height='28' valign='top' background='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/banner_r4_c5.gif'><img name='banner_r1_c5' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/banner_r1_c5.gif' width='12' height='28' border='0' /></td>\n";
echo "</tr>\n";
echo "<tr>\n";
echo "<td width='12' background='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/banner_r3_c1.gif'><img name='banner_r3_c1' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/banner_r3_c1.gif' width='12' height='12' border='0' /></td>\n";
echo "<td width='12' background='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/banner_r4_c5.gif'><img name='banner_r4_c5' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/banner_r4_c5.gif' width='12' height='12' border='0' /></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<table width='100%' border='0' cellpadding='0' cellspacing='0'>\n";
echo "<tr height='12'>\n";
echo "<td width='12' height='12'><img name='banner_r7_c1' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/banner_r7_c1.gif' width='12' height='12' border='0' /></td>\n";
echo "<td width='100%' height='12' background='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/banner_r7_c3.gif'><img name='banner_r7_c3' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/banner_r7_c3.gif' width='12' height='12' border='0' /></td>\n";
echo "<td width='12' height='12'><img name='banner_r7_c5' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/banner_r7_c5.gif' width='12' height='12' border='0' /></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</td>\n";
echo "</tr>\n";
echo "</table>";

}else{
echo "<img height='1' width='1' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' />\n";
     }
echo "</td>\n";
echo "<td width='10' height='100' bgcolor='#ffdfae' background='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/xthemes_r1_c8.gif'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='10' height='100' border='0' /></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<table border='0' cellpadding='0' cellspacing='0' width='100%'>\n";
echo "<tr height='47'>\n";
echo "<td width='30' height='47' bgcolor='#0c4444'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='30' height='47' border='0' /></td>\n";
echo "<td width='120' height='47' bgcolor='#ffdfae'><img name='xthemes_r2_c2' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/xthemes_r2_c2.gif' width='120' height='47' border='0' /></td>\n";
echo "<td height='47' bgcolor='#ffdfae' align='center' width='100%'>\n";
echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">\n";
echo "<tr>\n";
echo "<td align=\"center\"><nobr><a href=\"".XOOPS_URL.""._TH_LINK1."\"> "._TH_LINKN1."  </a><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='15' height='10' border='0' /></nobr></td>\n";
echo "<td align=\"center\"><nobr><a href=\"".XOOPS_URL.""._TH_LINK2."\">  "._TH_LINKN2."  </a><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='15' height='10' border='0' /></nobr></td>\n";
echo "<td align=\"center\"><nobr><a href=\"".XOOPS_URL.""._TH_LINK3."\">  "._TH_LINKN3."  </a><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='15' height='10' border='0' /></nobr></td>\n";
echo "<td align=\"center\"><nobr><a href=\"".XOOPS_URL.""._TH_LINK4."\">  "._TH_LINKN4."  </a><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='15' height='10' border='0' /></nobr></td>\n";
echo "<td align=\"center\"><nobr><a href=\"".XOOPS_URL.""._TH_LINK5."\">  "._TH_LINKN5."  </a><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='15' height='10' border='0' /></nobr></td>\n";
echo "<td align=\"center\"><nobr><a href=\"".XOOPS_URL.""._TH_LINK6."\">  "._TH_LINKN6."  </a><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='15' height='10' border='0' /></nobr></td>\n";
echo "</tr>\n";
echo "</table>";
echo "</td>\n";
echo "<td width='35' height='47' bgcolor='#ffdfae'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='35' height='47' border='0' /></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<table border='0' cellpadding='0' cellspacing='0' width='100%'>\n";
echo "<tr height='10'>\n";
echo "<td height='10' width='30'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='30' height='10' border='0' /></td>\n";
echo "<td height='10' width='160' bgcolor='#ffdfae'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='160' height='10' border='0' /></td>\n";
echo "<td height='10' width='35' bgcolor='white'><img name='xthemes_r3_c4' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/xthemes_r3_c4.gif' width='35' height='10' border='0' /></td>\n";
echo "<td height='10' bgcolor='white' width='100%'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='35' height='10' border='0' /></td>\n";
echo "<td height='10' width='35' bgcolor='white'><img name='xthemes_r3_c8' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/xthemes_r3_c8.gif' width='35' height='10' border='0' /></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<table border='0' cellpadding='0' cellspacing='0' width='100%'>\n";
echo "<tr>\n";
echo "<td width='30' rowspan='3' bgcolor='#0c4444'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='30' height='10' border='0' /></td>\n";
echo "<td width='160' rowspan='3' bgcolor='#ffdfae' valign='top'>\n";
echo "<table border='0' cellpadding='0' cellspacing='4' width='160'>\n";
echo "<tr>\n";
echo "<td valign='top' bgcolor='#ffdfae'>\n";
make_sidebar("left");
echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</td>\n";
echo "<td width='13' valign='top' bgcolor='white'><img name='xthemes_r4_c4' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/xthemes_r4_c4.gif' width='13' height='25' border='0' /></td>\n";
echo "<td rowspan='3' valign='top' bgcolor='white' width='100%'>\n";
echo "<table border='0' cellpadding='0' cellspacing='0' width='100%'>\n";
echo "<tr>\n";
echo "<td valign='top' bgcolor='white' width='100%'>\n";
}

function themefooter($show_rblock, $footer){
global $xoopsConfig,$xoopsTheme;
echo "</td>\n";
if ( $show_rblock ) {
echo "<td width='180' valign='top'>\n";
echo "<table border='0' cellpadding='0' cellspacing='4' width='180'>\n";
echo "<tr>\n";
echo "<td valign='top' bgcolor='white'>\n";
make_sidebar("right");
echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</td>\n";
}
echo "</tr>\n";
echo "</table>\n";
echo "</td>\n";
echo "<td width='13' valign='top' bgcolor='white'><img name='xthemes_r4_c9' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/xthemes_r4_c9.gif' width='13' height='25' border='0' /></td>\n";
echo "</tr>\n";
echo "<tr height='100%'>\n";
echo "<td width='13' bgcolor='white' height='100%'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='13' height='25' border='0' /></td>\n";
echo "<td width='13' bgcolor='white' height='100%'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='13' height='25' border='0' /></td>\n";
echo "</tr>\n";
echo "<tr height='25'>\n";
echo "<td width='13' height='25' bgcolor='white' valign='bottom'><img name='xthemes_r6_c4' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/xthemes_r6_c4.gif' width='13' height='25' border='0' /></td>\n";
echo "<td width='13' height='25' bgcolor='white'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='13' height='25' border='0' /></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<table border='0' cellpadding='0' cellspacing='0' width='100%'>\n";
echo "<tr height='10'>\n";
echo "<td width='30' height='10' bgcolor='#0c4444'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='30' height='10' border='0' /></td>\n";
echo "<td width='160' height='10' bgcolor='#ffdfae'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='160' height='10' border='0' /></td>\n";
echo "<td width='35' height='10' bgcolor='white'><img name='xthemes_r7_c4' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/xthemes_r7_c4.gif' width='35' height='10' border='0' /></td>\n";
echo "<td height='10' bgcolor='white' valign='top' width='100%'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='35' height='10' border='0' /></td>\n";
echo "<td width='35' height='10' bgcolor='white'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='35' height='10' border='0' /></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<table border='0' cellpadding='0' cellspacing='0' width='100%'>\n";
echo "<tr>\n";
echo "<td width='30' bgcolor='#0c4444'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='30' height='10' border='0' /></td>\n";
echo "<td width='160' bgcolor='#ffdfae'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='160' height='10' border='0' /></td>\n";
echo "<td bgcolor='#ffdfae' align='center' valign='top' width='100%'><br>\n";
echo "$footer<br><br>\n";
//CloseWaitBox();
echo "</td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<table border='0' cellpadding='0' cellspacing='0' width='100%'>\n";
echo "<tr height='4'>\n";
echo "<td align='center' bgcolor='#0c4444' width='30' height='4'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='30' height='2' border='0' /></td>\n";
echo "<td bgcolor='white' width='100%' height='4'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='730' height='2' border='0' /></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<table border='0' cellpadding='0' cellspacing='0' width='100%'>\n";
echo "<tr>\n";
echo "<td align='center' bgcolor='#0c4444' width='30'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='30' height='5' border='0' /></td>\n";
echo "<td bgcolor='#ff9900' width='100%'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='730' height='5' border='0' /></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "<table border='0' cellpadding='0' cellspacing='0' width='100%' height='20'>\n";
echo "<tr>\n";
echo "<td bgcolor='#0c4444' align='center'><img name='spacer' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/spacer.gif' width='760' height='30' border='0' /></td>\n";
echo "</tr>\n";
echo "</table>\n";
echo "</td>\n";
echo "</tr>\n";
echo "</table>";

}
function themesidebox($title, $content) {

   echo"<table cellspacing='0' cellpadding='0' width='100%' border='0'>\n"
      ."<tbody>\n"
      ."<tr height='15'>\n"
      ."<td bgcolor='#ff9900'>"
      ."<table cellspacing='0' cellpadding='0' width='100%' border='0'>\n"
      ."<tr>\n"
      ."<td width='100%'><font color='#ffffff'><center><b>$title</b></center></font></td>\n"
       ."</tr>\n"
      ."</table>\n"
      ."</td>\n"
      ."</tr>\n"
      ."<tr>\n"
      ."<td width='100%'>\n"
      ."<table cellspacing='5' cellpadding='0' width='100%' border='0' height='75'>\n"
      ."<tbody>\n"
      ."<tr height='69'>\n"
      ."<td width='100%' height='69'><font class='pn2' face='Arial' size='2' color='#36515f'>$content</font></td>\n"
      ."</tr>\n"
      ."</tbody>\n"
      ."</table>\n"
      ."</td></tr>\n"
      ."</tbody>\n"
      ."</table>\n";
}
function themesidebox_right($title, $content) {
global $xoopsConfig,$xoopsTheme;
   echo"<table cellspacing='0' cellpadding='0' width='100%' border='0'>\n"
      ."<tbody>\n"
      ."<tr height='20'>\n"
      ."<td bgcolor='#ff9900'>"
      ."<table cellspacing='0' cellpadding='0' width='100%' border='0'>\n"
      ."<tr>\n"
      ."<td width='20' bgcolor='#ffffff'><img name='kule_r1_c1' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/kule_r1_c1.gif' width='20' height='20' border='0' /></td>\n"
      ."<td width='100%'><font color='#ffffff'><center><b>$title</b></center></font></td>\n"
      ."<td width='20' bgcolor='#ffffff'><img name='kule_r1_c2' src='".XOOPS_URL."/themes/".$xoopsTheme['thename']."/images/kule_r1_c2.gif' width='20' height='20' border='0' /></td>\n"
      ."</tr>\n"
      ."</table>\n"
      ."</td>\n"
      ."</tr>\n"
      ."<tr>\n"
      ."<td width='100%'>\n"
      ."<table cellspacing='0' cellpadding='1' width='100%' border='0'>\n"
      ."<tr>\n"
      ."<td width='100%' bgcolor='#ff9900'>"
      ."<table cellspacing='0' cellpadding='4' width='100%' border='0' height='75'>\n"
      ."<tbody>\n"
      ."<tr height='69'>\n"
      ."<td  bgcolor='#ffffff' width='100%' height='69'><font class='pn2' face='Arial' size='2' color='#36515f'>$content</font></td>\n"
      ."</tr>\n"
      ."</tbody>\n"
      ."</table>\n"
       ."</td></tr>\n"
      ."</table>\n"
      ."</td></tr>\n"
      ."</tbody>\n"
      ."</table><br />\n";
}
function themecenterposts($title, $content) {
  global $xoopsConfig,$xoopsTheme;
   echo"<table cellspacing='0' cellpadding='0' width='100%' border='0'>\n"
      ."<tbody>\n"
      ."<tr height='15'>\n"
      ."<td bgcolor='#ff9900'>"
      ."<table cellspacing='0' cellpadding='0' width='100%' border='0'>\n"
      ."<tr>\n"
      ."<td width='100%'><font color='#ffffff'><center><b>$title</b></center></font></td>\n"
      ."</tr>\n"
      ."</table>\n"
      ."</td>\n"
      ."</tr>\n"
      ."<tr>\n"
      ."<td width='100%'>\n"
      ."<table cellspacing='0' cellpadding='2' width='100%' border='0'>\n"
      ."<tr>\n"
      ."<td width='100%' bgcolor='#ff9900'>"
      ."<table cellspacing='0' cellpadding='4' width='100%' border='0' height='75'>\n"
      ."<tbody>\n"
      ."<tr height='69'>\n"
      ."<td  bgcolor='#ffffff' width='100%' height='69'><font class='pn2' size='2' color='#36515f'>$content</font></td>\n"
      ."</tr>\n"
      ."</tbody>\n"
      ."</table>\n"
       ."</td></tr>\n"
      ."</table>\n"
      ."</td></tr>\n"
      ."</tbody>\n"
      ."</table><br />\n";
 }
?>
